## net.dontdrinkandroot.lastfm.api.queries
Interface Query<T extends java.io.Serializable>

Type Parameters:
  `T` - The return type of the query.

All Known Subinterfaces:
  AuthenticatedGetQuery<T>, AuthenticatedQuery<T>, GetQuery<T>, PostQuery<T>, UnauthenticatedGetQuery<T>, UnauthenticatedQuery<T>

All Known Implementing Classes:
  AbstractAuthenticatedGetQuery, AbstractPostQuery, AbstractQuery, AbstractUnauthenticatedGetQuery, NoResponseAuthenticatedGetQuery, NoResponsePostQuery

    public interface Query<T extends java.io.Serializable>

Superinterface that has to be implemented by all queries.

Author:
  Philip W. Sorst

Method Summary
`void` `addParameter(java.lang.String key, java.lang.Object value)` Add a parameter to the query parameters.
`java.lang.String` `getMethod()` Get the last.fm method that is fetched by this query.
`java.util.Map<java.lang.String,java.lang.String>` `getParameters()` Get query parameters.
`T` `parse(org.w3c.dom.Element root)` Parse the result and return the Object model.

Method Detail

### getParameters

    java.util.Map<java.lang.String,java.lang.String> getParameters()

  Get query parameters.

  Returns:
    The query parameters.

### getMethod

    java.lang.String getMethod()

  Get the last.fm method that is fetched by this query.

  Returns:

### addParameter

    void addParameter(java.lang.String key,
                      java.lang.Object value)

  Add a parameter to the query parameters.

  Parameters:
    `key` - The name of the parameter.
    `value` - The value of this parameter. This expects that the object has a reasonable toString() method, otherwise the String has to be passed manually instead of the object.

### parse

    T parse(org.w3c.dom.Element root)

  Parse the result and return the Object model.

  Parameters:
    `root` - Dom4j root element.
  Returns:
    The query result.

Copyright © 2013 dontdrinkandroot. All Rights Reserved.